Edgewall Software
Modify

Opened 14 years ago

Closed 14 years ago

Last modified 14 years ago

#6946 closed defect (invalid)

Issue during the TRAC Instalation on Ubuntu Fiesty???

Reported by: ajeet.singh.raina@… Owned by: Jonas Borgström
Priority: highest Milestone:
Component: general Version:
Severity: normal Keywords:
Cc: Branch:
Release Notes:
API Changes:
Internal Changes:

Description (last modified by Christian Boos)

Hello guys, This is my first post related to TRAC. I have been struggling to install TRAC and am not able to understand at a particular point. I followed the doc http://trac.edgewall.org/wiki/TracOnUbuntu but got stuck at particular point. I am getting error whenever reload the apache service:

---------------------------------------------------------
dmin@DICEX:/etc/apache2/mods-enabled$ sudo /etc/init.d/apache2 restart
Password:
 * Restarting web server apache2                                                grep: /etc/apache2/mods-enabled/dav_svn.load: No such file or directory
--------------------------------------------------------------------

When I checked :

#pwd
/etc/apache2/mods-enabled
#ls -la
----------------------------------------------------------
drwxrwxrwx 7 root root 4096 Mar  6 14:19 ..
lrwxrwxrwx 1 root root   28 Mar  3 17:47 alias.conf -> ../mods-available/alias.conf
lrwxrwxrwx 1 root root   28 Mar  3 17:47 alias.load -> ../mods-available/alias.load
lrwxrwxrwx 1 root root   33 Mar  3 17:47 auth_basic.load -> ../mods-available/auth_basic.load
lrwxrwxrwx 1 root root   33 Mar  3 17:47 authn_file.load -> ../mods-available/authn_file.load
lrwxrwxrwx 1 root root   36 Mar  3 17:47 authz_default.load -> ../mods-available/authz_default.load
lrwxrwxrwx 1 root root   38 Mar  3 17:47 authz_groupfile.load -> ../mods-available/authz_groupfile.load
lrwxrwxrwx 1 root root   33 Mar  3 17:47 authz_host.load -> ../mods-available/authz_host.load
lrwxrwxrwx 1 root root   33 Mar  3 17:47 authz_user.load -> ../mods-available/authz_user.load
lrwxrwxrwx 1 root root   32 Mar  3 17:47 autoindex.conf -> ../mods-available/autoindex.conf
lrwxrwxrwx 1 root root   32 Mar  3 17:47 autoindex.load -> ../mods-available/autoindex.load
lrwxrwxrwx 1 root root   39 Mar  6 14:26 dav_fs.conf.dpkg-dist -> ../mods-available/dav_fs.conf.dpkg-dist
lrwxrwxrwx 1 root root   39 Mar  6 14:26 dav_fs.load.dpkg-dist -> ../mods-available/dav_fs.load.dpkg-dist
lrwxrwxrwx 1 root root   31 Mar  6 14:26 dav_lock.load -> ../mods-available/dav_lock.load
-rw-r--r-- 1 root root 2326 Mar  6 14:11 dav_svn.conf
lrwxrwxrwx 1 root root   30 Mar  6 14:13 dav_svn.load -> ../mods-available/dav_svn.load
lrwxrwxrwx 1 root root   26 Mar  3 17:47 dir.conf -> ../mods-available/dir.conf
lrwxrwxrwx 1 root root   26 Mar  3 17:47 dir.load -> ../mods-available/dir.load
lrwxrwxrwx 1 root root   26 Mar  3 17:47 env.load -> ../mods-available/env.load
lrwxrwxrwx 1 root root   27 Mar  3 17:47 mime.conf -> ../mods-available/mime.conf
lrwxrwxrwx 1 root root   27 Mar  3 17:47 mime.load -> ../mods-available/mime.load
lrwxrwxrwx 1 root root   34 Mar  3 17:47 negotiation.conf -> ../mods-available/negotiation.conf
lrwxrwxrwx 1 root root   34 Mar  3 17:47 negotiation.load -> ../mods-available/negotiation.load
lrwxrwxrwx 1 root root   31 Mar  3 17:47 setenvif.conf -> ../mods-available/setenvif.conf
lrwxrwxrwx 1 root root   31 Mar  3 17:47 setenvif.load -> ../mods-available/setenvif.load
lrwxrwxrwx 1 root root   29 Mar  3 17:47 status.conf -> ../mods-available/status.conf
lrwxrwxrwx 1 root root   29 Mar  3 17:47 status.load -> ../mods-available/status.load
admin@DICEX:/etc/apache2/mods-enabled$
------------------------------------------------------------

I wonder if dav_svn.conf is not linked to anything.

Pls Help?I want to startup Trac but whenever I run..

$trac-admin /<repo path> initenv

It says:

------------------------------------------------------------

admin@DICEX:~$ sudo trac-admin /home/admin/repository initenv
Traceback (most recent call last):
  File "/usr/bin/trac-admin", line 21, in <module>
    from trac.scripts.admin import run
ImportError: No module named trac.scripts.admin
----------------------------------------------------------

All I started installing TRac with #apt-get install trac apache2 libapache2-svn

------------------------------------
O/P

Reading package lists... Done
Building dependency tree... Done
apache2 is already the newest version.
libapache2-svn is already the newest version.
The following extra packages will be installed:
  apt apt-utils aptitude bicyclerepair dbus debtags fftw3 gcc-3.4-base
  gnome-keyring gtk-qt-engine gtk2-engines-gtk-qt guidance-backends hplip
  hplip-data iso-codes kdelibs-data language-selector-common lapack3
  launchpad-integration libart-2.0-2 libarts1-akode libasound2
  libavahi-client3 libavahi-glib1 libavcodec1d libavutil1d libbluetooth2
  libbonobo2-0 libbonobo2-common libbonoboui2-0 libbonoboui2-common libcaca0
  libcucul0 libdbus-1-3 libdbus-glib-1-2 libdirectfb-0.9-25 libdrm2 libept0
  libfaac0 libflac8 libg2c0 libgail-common libgail18 libgeoip1 libglade2-0
  libgnome-keyring0 libgnome2-0 libgnome2-common libgnomecanvas2-0
  libgnomecanvas2-common libgnomeui-0 libgnomeui-common libgnomevfs2-0
  libgnomevfs2-common libgpod2 libgtk2.0-0 libgtop2-7 libgtop2-common
  libhal-storage1 libhal1 libjasper1 liblame0 liblua50 liblualib50 libmp4v2-0
  libmtp6 libmusicbrainz4c2a libnjb5 libofa0 liborbit2 libpisock9 libpopt0
  libpostproc1d libpulse0 libqt3-mt libqt4-core libqt4-gui libraw1394-8
  libruby1.8 libsdl1.2debian libsdl1.2debian-alsa libselinux1 libsensors3
  libsepol1 libslang2 libsnmp-base libsnmp10 libtunepimp5 libusb-0.1-4
  libvorbisfile3 libvte-common libvte9 libwavpack1 libx264-54 libxapian15
  libxcb-shape0 libxcb-shm0 libxcb-xv0 libxcb1 libxcomposite1 libxdamage1
  libxfixes3 libxine1-bin libxine1-console libxine1-ffmpeg
  libxine1-misc-plugins libxine1-plugins libxine1-x libxrandr-dev libxrandr2
  libxrender-dev libxrender1 libxvidcore4 lsb-release pykdeextensions python
  python-apt python-cddb python-central python-dbus python-epydoc
  python-eunuchs python-examples python-gconf python-gd python-genetic
  python-geoip python-gnomecanvas python-gnupginterface python-gobject
  python-numarray python-pisock python-pqueue python-pyao python-pyogg
  python-pyorbit python-pyvorbis python-sqlite python-stats python-subversion
  python-support python-unit python-xdg python2.5 python2.5-examples
  rdiff-backup refblas3 synaptic ttf-kochi-gothic ttf-kochi-mincho
  unattended-upgrades update-manager-core update-notifier-common x11-common
  x11proto-randr-dev x11proto-render-dev xfonts-100dpi xfonts-75dpi
  xfonts-base xfonts-encodings xfonts-scalable xfonts-utils xkb-data
  xserver-xorg-video-psb
Suggested packages:
  apt-doc lzma tasksel vim-python idle pymacs tagcoll fftw3-dev
  openprinting-ppds hpijs-ppds hplip-doc hplip-gui libasound2-plugins
  geoip-bin desktop-base gnome-icon-theme libgnomevfs2-bin jpilot pilot-link
  kpilot gnome-pilot evolution claws-mail sylpheed pulseaudio libqt3-mt-psql
  libqt3-mt-mysql libqt3-mt-odbc libraw1394-doc lm-sensors hotplug
  xapian-tools libxine1-gnome python-doc python-profiler python-apt-dbg
  python-dbus-dbg epydoc-doc python-gconf-dbg python-gd-dbg
  python-gnomecanvas-dbg python-numarray-doc python-numarray-dbg
  python-pisock-dbg python-pyao-dbg python-pyogg-dbg python-pyorbit-dbg
  python-pyvorbis-dbg python-sqlite-dbg python-subversion-dbg python2.5-doc
  dwww python-docutils libapache2-mod-python python-psycopg2 xserver-xfree86
  xfs-xtt xfs
Recommended packages:
  aptitude-doc-en aptitude-doc libparse-debianchangelog-perl
  libgnomevfs2-extra gnome-mount libgpod-common libgl1-mesa-glx libgl1
  qt4-qtconfig libpng-dev lsb texlive-latex-base texlive-latex-extra
  texlive-latex-recommended texlive-fonts-recommended graphviz tetex-extra
  deborphan libgnome2-perl
The following packages will be REMOVED:
  adept akregator amarok amarok-xine ark artsbuilder firestarter gksu gwenview
  k3b kaddressbook kaffeine kaffeine-xine kamera karm katapult kate
  kaudiocreator kcontrol kcron kde-guidance kde-style-lipstik
  kde-systemsettings kdeadmin-kfile-plugins kdebase-bin kdebase-kio-plugins
  kdebluetooth kdegraphics-kfile-plugins kdelibs-bin kdelibs4c2a
  kdemultimedia-kfile-plugins kdemultimedia-kio-plugins kdenetwork-filesharing
  kdenetwork-kfile-plugins kdepasswd kdepim-kio-plugins kdepim-kresources
  kdepim-wizards kdeprint kdesktop kdevelop3 kdevelop3-data kdevelop3-dev
  kdevelop3-plugins kdm kdnssd keep kfind kghostview khelpcenter kicker
  kio-apt kio-locate klaptopdaemon klipper kmail kmailcvt kmenuedit kmilo kmix
  kmplayer-base kmplayer-konq-plugins knetworkconf knotes koffice-libs
  konq-plugins konqueror konqueror-nsplugins konsole kontact konversation
  kooka kopete korganizer kpdf kpf kppp krdc krfb krita kscd kscreensaver
  ksmserver ksnapshot ksplash ksplash-engine-moodin ksvg ksysguard ksystemlog
  ktorrent kubuntu-default-settings kubuntu-docs kubuntu-konqueror-shortcuts
  kwalletmanager kwin kwin-style-crystal language-selector-qt libcvsservice0
  libgksu1.2-1 libgksuui1.0-1 libk3b2 libkcal2b libkcddb1 libkdepim1a libkipi0
  libkleopatra1 libkmime2 libkonq4 libkpimexchange1 libkpimidentities1
  libkscan1 libksieve0 libktnef1 libskim0 libvte4 python-adns
  python-clientcookie python-crypto python-egenix-mxproxy
  python-egenix-mxstack python-egenix-mxtexttools python-egenix-mxtools
  python-gadfly python-gnome2 python-htmlgen python-htmltmpl python-id3lib
  python-imaging python-imaging-sane python-jabber python-kde3
  python-kjbuckets python-ldap python-mysqldb python-netcdf python-newt
  python-numeric python-pam python-parted python-pexpect python-pgsql
  python-pylibacl python-pyopenssl python-pyxattr python-qt3 python-reportlab
  python-setuptools python-simpletal python-soappy python-syck python-xml
  python-xmpp python2.4-apt python2.4-dbus python2.4-gnome2 python2.4-kde3
  python2.4-pyorbit python2.4-sqlite sbackup skim ttf-arphic-uming
  ttf-thai-tlwg update-manager vnc4server wlassistant x-ttcidfont-conf
  x-window-system-core xbase-clients xserver-xorg xutils
The following NEW packages will be installed:
  fftw3 gcc-3.4-base gtk-qt-engine guidance-backends iso-codes lapack3
  libavcodec1d libavutil1d libbluetooth2 libcaca0 libcucul0 libdbus-1-3
  libdirectfb-0.9-25 libept0 libfaac0 libflac8 libg2c0 libgail-common
  libgail18 libgpod2 libgtop2-7 libgtop2-common libjasper1 liblame0 liblua50
  liblualib50 libmp4v2-0 libmtp6 libnjb5 libofa0 libpisock9 libpostproc1d
  libpulse0 libqt4-core libqt4-gui libraw1394-8 libsnmp10 libtunepimp5 libvte9
  libwavpack1 libx264-54 libxapian15 libxcb-shape0 libxcb-shm0 libxcb-xv0
  libxcb1 libxine1-bin libxine1-console libxine1-ffmpeg libxine1-misc-plugins
  libxine1-plugins libxine1-x libxrender-dev libxvidcore4 python-central
  python-dbus python-gconf python-gnomecanvas python-gobject python-numarray
  python-subversion python-support python2.5 python2.5-examples refblas3 trac
  update-manager-core update-notifier-common x11proto-render-dev
  xfonts-encodings xkb-data xserver-xorg-video-psb
The following packages will be upgraded:
  apt apt-utils aptitude bicyclerepair dbus debtags gnome-keyring
  gtk2-engines-gtk-qt hplip hplip-data kdelibs-data language-selector-common
  launchpad-integration libart-2.0-2 libarts1-akode libasound2
  libavahi-client3 libavahi-glib1 libbonobo2-0 libbonobo2-common
  libbonoboui2-0 libbonoboui2-common libdbus-glib-1-2 libdrm2 libgeoip1
  libglade2-0 libgnome-keyring0 libgnome2-0 libgnome2-common libgnomecanvas2-0
  libgnomecanvas2-common libgnomeui-0 libgnomeui-common libgnomevfs2-0
  libgnomevfs2-common libgtk2.0-0 libhal-storage1 libhal1 libmusicbrainz4c2a
  liborbit2 libpopt0 libqt3-mt libruby1.8 libsdl1.2debian libsdl1.2debian-alsa
  libselinux1 libsensors3 libsepol1 libslang2 libsnmp-base libusb-0.1-4
  libvorbisfile3 libvte-common libxcomposite1 libxdamage1 libxfixes3
  libxrandr-dev libxrandr2 libxrender1 lsb-release pykdeextensions python
  python-apt python-cddb python-epydoc python-eunuchs python-examples
  python-gd python-genetic python-geoip python-gnupginterface python-pisock
  python-pqueue python-pyao python-pyogg python-pyorbit python-pyvorbis
  python-sqlite python-stats python-unit python-xdg rdiff-backup synaptic
  ttf-kochi-gothic ttf-kochi-mincho unattended-upgrades x11-common
  x11proto-randr-dev xfonts-100dpi xfonts-75dpi xfonts-base xfonts-scalable
  xfonts-utils
93 upgraded, 72 newly installed, 170 to remove and 755 not upgraded.
Need to get 0B/90.5MB of archives.
After unpacking 349MB disk space will be freed.
Do you want to continue [Y/n]?


 python-apt python-cddb python-epydoc python-eunuchs python-examples
  python-gd python-genetic python-geoip python-gnupginterface python-pisock
  python-pqueue python-pyao python-pyogg python-pyorbit python-pyvorbis
  python-sqlite python-stats python-unit python-xdg rdiff-backup synaptic
  ttf-kochi-gothic ttf-kochi-mincho unattended-upgrades x11-common
  x11proto-randr-dev xfonts-100dpi xfonts-75dpi xfonts-base xfonts-scalable
  xfonts-utils
93 upgraded, 72 newly installed, 170 to remove and 755 not upgraded.
Need to get 0B/90.5MB of archives.
After unpacking 349MB disk space will be freed.
Do you want to continue [Y/n]? Y
WARNING: The following packages cannot be authenticated!
  libavutil1d libavcodec1d libpostproc1d
Install these packages without verification [y/N]? y
E: Couldn't configure pre-depend python-central for python-apt, probably a dependency cycle.

It is throwing the following error:

Pls Help

Attachments (0)

Change History (2)

comment:1 by Christian Boos, 14 years ago

Description: modified (diff)
Resolution: invalid
Status: newclosed

First, this is completely the wrong place to ask for dav_svn related problems. Second, even for Trac, we strongly recommend that you as for support either on the MailingList or on the IrcChannel (and why not, on the usual support channels for your distribution, Ubuntu in this case).

Thanks for your comprehension.

[offtopic] this kind of install story (E: Couldn't configure pre-depend python-central for python-apt, probably a dependency cycle) reminds me of my first (and last, needless to say) install of Debian more than 10 years ago, and it's really funny to see how things have improved since ;-)

comment:2 by anonymous, 14 years ago

I am still not able to fix the issue.Anyone WHo can either have any fix for this

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Jonas Borgström.
The resolution will be deleted. Next status will be 'reopened'.
to The owner will be changed from Jonas Borgström to the specified user.

Add Comment


E-mail address and name can be saved in the Preferences .
 
Note: See TracTickets for help on using tickets.